Bug 652957 (CVE-2010-4163, CVE-2010-4668)

Summary: CVE-2010-4163 CVE-2010-4668 kernel: panic when submitting certain 0-length I/O requests
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dfeng
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-19 09:17:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 652958, 652959, 652960    
Bug Blocks:    

Description Petr Matousek 2010-11-13 19:39:05 UTC
By submitting certain I/O requests with 0 length, a local user could cause a kernel panic.

Proposed patch:
http://git.kernel.org/?p=linux/kernel/git/axboe/linux-2.6-block.git;a=commit;h=9284bcf4e335e5f18a8bc7b26461c33ab60d0689

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.

Comment 1 Petr Matousek 2010-11-13 19:40:53 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 4 and 5 as they did not backport the upstream commit c5dec1c3
that introduced the issue. This has been addressed in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0007.html and https://rhn.redhat.com/errata/RHSA-2011-0330.html.

Comment 5 Eugene Teo (Security Response) 2010-11-15 06:25:02 UTC
Upstream commit:
http://git.kernel.org/linus/9284bcf4e335e5f18a8bc7b26461c33ab60d0689

Comment 8 Eugene Teo (Security Response) 2011-01-04 10:15:24 UTC
This vulnerability is assigned with CVE-2010-4163. However, the original patch for this, upstream commit 9284bcf4 is insufficient. Upstream commit 54787556 is needed too and this is assigned with CVE-2010-4668.

Comment 9 errata-xmlrpc 2011-01-11 19:45:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html

Comment 10 errata-xmlrpc 2011-03-10 20:04:38 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html